Summary: MPEG demuxer for GStreamer
Name: gstreamer-plugins-flumpegdemux
Version: 0.10.15
Release: 2%{?dist} 
License: MPLv1.1
Group: Applications/Multimedia
Source0: http://core.fluendo.com/gstreamer/src/gst-fluendo-mpegdemux/gst-fluendo-mpegdemux-%{version}.tar.bz2
Url: http://core.fluendo.com/gstreamer/src/gst-fluendo-mpegdemux/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 


BuildRequires: gcc-c++, pkgconfig
BuildRequires: gstreamer-devel

%description
This package contains an MPEG demuxer for the GStreamer multimedia framework.
It allows to separate audio and video in MPEG streams, so that they can be
decoded.

%prep
%setup -q -n gst-fluendo-mpegdemux-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# no static libs and libtool archives either
find $RPM_BUILD_ROOT%{_libdir} -type f -name "*.a" -exec rm -f {} ';'
find $RPM_BUILD_ROOT%{_libdir} -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS TODO
%{_libdir}/gstreamer-0.10/libgstflumpegdemux.so

%changelog
* Tue May 06 2008 - Bastien Nocera <bnocera@redhat.com> - 0.10.15-2
- Fix some review bugs

* Tue May 06 2008 - Bastien Nocera <bnocera@redhat.com> - 0.10.15-1
- Update to 0.10.15

* Wed Aug 01 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.12-1
- First version

